Subject: Non-GLP Fat Loss Compounds Ranked
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 5 May 2026 22:03:45 +0000

Happy Tuesday! 

Most folks would agree that the GLPs are the kings of fat loss, with retatrutide holding the title belt.

But what if GLPs are not on the table for you? What if you are cycling off? What if you want to stack other compounds so you don’t have to crank your GLP dose into the stratosphere?

I just dropped a brand-new video and podcast episode where I rank **20 non-GLP-1 fat-loss**** compounds** from F tier to S tier. Most are peptides. A few are small molecules. All of them have a place in the conversation right now.

Youtube: 20 Fat Loss Compounds Ranked Worst to Best (No GLP-1s) (https://youtu.be/36E7xjuFVXc)

You can watch the full video here: [https://youtu.be/36E7xjuFVXc](https://youtu.be/36E7xjuFVXc)

Or listen on Spotify here: [https://open.spotify.com/episode/3jOsxcgx8n4EaOhhaNCuCv?si=TIs_SV5eT6KTmarCWf7cZA](https://open.spotify.com/episode/3jOsxcgx8n4EaOhhaNCuCv?si=TIs_SV5eT6KTmarCWf7cZA)

Below is the breakdown of every compound and why I ranked it where I did.

———————————————————————————

_**F Tier (I Don't Use These)**_

**Adipotide (FTPP).** This one targets fat cells by killing the blood vessels that feed them. Sounds elegant on paper. The problem is that the kidneys are damaged at the same doses that produce the fat loss. Phase 1 data in obese prostate cancer patients showed real fat loss but also dose-dependent renal toxicity. The risk-to-reward is not there for me. I am sure people are using it. I just choose not to.

**HGH Fragment 176-191.** This is not HGH. It is a fragment of the HGH amino acid sequence. The human data is weak. AOD9604 is essentially the same thing with an added tyrosine for stability, and even AOD isn’t great. If you are taking HGH frag, you are wasting your money.

_**D Tier (Weak Use Case)**_

**AOD9604.** A 12-week phase 2 trial showed about 2 kg of fat loss compared with placebo. That is roughly 4 to 5 pounds. Not nothing. But not exciting either when GLPs exist. I have used it. The one place it might earn its keep is helping with water retention from growth hormone or GH peptides. As a standalone fat loss tool, skip it.

_**C Tier (Use Case Exists, But Outclassed)**_

**Sermorelin.** It is a GHRH peptide. It works. It is just the weakest of the GH peptide family and has been outclassed by tesamorelin, CJC, and ipamorelin. If it is what you have, fine. If you are choosing fresh, pick something else.

**Setmelanotide.** An MC4R agonist that absolutely will suppress your appetite. The problem is the nausea. I took 250 micrograms and felt fine for about 6 hours. Then the nausea hit and lasted a day or two. Take the worst semaglutide nausea you have ever felt and crank it up. The FDA-approved dose is 2 to 3 mg daily, and I have no idea how anyone tolerates that. For people with specific genetic obesity syndromes, it can be life-changing. For everyone else, it is a glutton-for-punishment compound.

_**B Tier (Solid, Conditional Wins)**_

**Tesofensine.** A triple monoamine reuptake inhibitor. Phase 3 data in obese Mexican patients showed 8.6 kg of weight loss vs 1.9 kg placebo over 24 weeks. I love this one for the cognitive lift. It feels like a nootropic. About 70% of people do well on it. About 20% do terribly with insomnia, anxiety, or feeling wired. I run 250 mcg and get great benefits. Watch your heart rate and blood pressure.

**SS-31.** Not a fat loss peptide on paper. But it repairs the mitochondrial hardware. Fix the mitochondria, and everything works better, including fat loss. I run 1 to 2 mg for general optimization and 5 to 10 mg for a real metabolic effect. It earns its place because it improves the rest of your stack.

**Cagrilintide.** A long-acting amylin analog that suppresses appetite through a completely different mechanism than GLPs. With semaglutide, it produced 20.4% weight loss over 68 weeks. On its own, around 10 to 11% at higher doses. I do great on it. My wife, Taylor, feels depressed and emotionally blunted on it. About half the people I see using it report that. Coin flip. Start at 250 mcg and titrate up.

**IGF-1 LR3.** This is more of a body recomposition tool than a fat-loss tool. Run alongside HGH or a GH peptide for 4 to 6 weeks at 25 to 200 mcg post-workout. Watch your blood sugar. Always have carbs on hand. Hypoglycemia is the real risk.

**Cardarine (GW501516).** A PPAR agonist that shifts you toward fatty acid oxidation. By itself, it will not melt fat. Paired with cardio, you get way more out of every session. I run 10 mg per day for 4 to 8 weeks. There is a cancer signal in mice (in both directions), which is why I keep doses moderate and cycle.

_**A Tier (Where Things Get Real)**_

**CJC + Ipamorelin.** Not a fat loss peptide directly. But the downstream effects on sleep, IGF-1, and recovery move the needle on body composition. Most people tolerate ipamorelin well. CJC can give some folks reactions. Try them in isolation first before stacking. I would call this an A-minus.

**MOTS-c.** A mitochondrial peptide that improves fatty acid oxidation, glucose uptake, and insulin sensitivity. Acts as an exercise mimetic. I run 1 to 2 mg subQ daily, 5 days on, 2 days off, for 8 weeks on, 8 weeks off. At 1 milligram with 5-Amino, I felt like a 7-year-old being told to sit still. Solid A or A+.

**5-Amino-1MQ.** An NNMT inhibitor that raises intracellular NAD+ and makes fat cells resistant to lipolysis blockade. Mouse studies show a 30 to 40% reduction in fat cell size with no change in food intake. Injectable works much better than oral. I run 1 to 2 mg injected daily. Push past 2 milligrams, and you start to feel burnout. With MOTS-c, I would call the combo an A+.

**BAM15.** A mitochondrial uncoupler. Your cell burns more fuel to maintain ATP, and the energy gets dumped as heat. Wider therapeutic window than DNP. Strong rodent data, no human safety pharmacology yet. I run 50 to 100 mg a day. Above 400 mg, there are diminishing returns.

**SLU-PP-332.** An estrogen-related receptor agonist that drives mitochondrial biogenesis and fatty acid oxidation. The most studied exercise mimetic in this class. I prefer 250-750 mcg daily for 8-12 weeks. Higher doses just made me feel worse. Oral works fine. Transdermal works great. Injectable in oil might be the best delivery method, but the data isn't clean enough yet to call it.

**ATX-304.** A pan-AMPK activator that does not cross the blood-brain barrier. Real human data, no appetite suppression, no muscle loss. Trials used 1,000 milligrams, which is cost-prohibitive for most. I get great results at 300-500 mg daily. Energy is solid, fat loss is real, and water retention drops. A+.

**Mirabegron.** A beta-3 adrenergic agonist. Activates brown fat thermogenesis and improves insulin sensitivity. FDA-approved for overactive bladder. For body comp, 50-100 mg a day. Great for the last few weeks of a cut. Watch your heart rate, blood pressure, and urinary retention at higher doses.

_**S Tier (The Best We Have)**_

**Albuterol.** A beta-2 agonist that activates lipolysis through hormone-sensitive lipase. Increases resting energy expenditure 3 to 5%. FDA-approved since 1981 with decades of safety data. I run 2 to 5 mg orally per day, 2 weeks on 2 weeks off. The receptors downregulate after about 2 to 3 weeks, which is why you cycle. The only reason I call it S-minus is that short cycle window. 

**HGH.** The most underrated fat loss tool we have. Direct GH receptor activation. Increased fatty acid oxidation. Reduced glucose uptake in fat tissue. Decades of human data. In GH-deficient adults, 4 to 7 kg fat reduction and 2 to 5 kg lean mass increase over 6 to 12 months. Most men in their 40s, 50s, and 60s probably qualify as deficient. Run 1 to 4 IU daily. It is not a 2-week shred tool. Over 1 to 2 years, the body just transforms.

**Tesamorelin.** S-tier-plus from a data standpoint. A GHRH that stimulates pulsatile pituitary GH release. Phase 3 data in HIV lipodystrophy patients showed about 15% reduction in visceral fat over 6 months, with lean mass preserved or increased. The only non-GLP-1 fat loss peptide with phase 3 human data and FDA approval. 1 to 2 mg subQ daily, 5 days on 2 days off, 8 to 16 weeks on, 4 to 8 weeks off. If you are already lean and chasing single-digit body fat, the water retention may mask the changes. If you are 25%+ body fat trying to drop into the teens, this works incredibly well.

———————————————————————————

**Final Thoughts**

Every compound on this list has a place. Even the F-tier ones have a use case for somebody, just not for me.

The mistake people make is reaching for one tool and cranking the dose until something gives. With everything on this list, you can rotate through different mechanisms. 

AMPK one cycle. Mitochondrial uncoupling the next. Brown fat thermogenesis the cycle after that. Each pathway hits differently. Each cycle gives the others a chance to reset.

Hormones first. Lifestyle second. Compounds third. That order does not change.

Also, remember this is just my opinion. There are great compounds I left off this list. There are people smarter than me who would rank some of these differently. I would actually love to hear it. If you think I got something wrong, drop it in the YouTube or Spotify comments. The conversation is what moves the field forward.

If you want my full reasoning on each compound, the dosing protocols, and the reactions I have personally seen, watch the video or listen to the episode. I cover way more than I could fit in here.

As always, thank you for being here. I have the best audience in the world! 

Best,

Hunter Williams

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/non-glp-fat-loss-compounds-ranked